Subject: Re: [PATCH 10/15] Add device tree for Ebony

From: David Gibson <[email-masked]>
Date: Tue, 6 Mar 2007 11:04:13 +1100

On Mon, Mar 05, 2007 at 08:23:04AM -0600, Josh Boyer wrote:
> On Mon, 2007-03-05 at 14:24 +1100, David Gibson wrote:
> > Add a device tree for the Ebony evaluation board (440GP based).  This
> > tree is not complete or finalized.  This tree needs a very recent
> > version of dtc to process.
> > 
> > Signed-off-by: David Gibson <[email-masked]>
> > ---
> > +
> > +	chosen {
> > +		linux,stdout-path = "/plb/opb@0/serial@140000200";
> > +		linux,initrd-start = <0>; /* FIXME */
> > +		linux,initrd-end = <0>;
> 
> Could we add a bootargs property here?  It needs to be present to allow
> set_cmdline in the wrapper to actually function.  Without it, the
> console ops allow you to specify on at the
> 
> Linux/PowerPC load:
> 
> line, but it doesn't actually get set in the DT.  In my testing, having
> 
> bootargs = "";
> 
> was sufficient to allow the cmdline editing (or inserting in this case)
> to work.

Ah, yes, I can do that.  In the interim, at least, until I get libfdt
going properly which can add new properties without difficulty.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson